Module SQL_系統設定
    Friend Sub SQL_人員資料()
        ConnOpen()
        SQL1 = "SELECT     UID, DIN, PIN, UserName, Sex, Password, PasswordQuestion, PasswordAnswer, IsApproved, IsLockedOut, 
                           CreateDate, LastLoginDate, DeptId, AttId, RuleId, WeekendId, LastUpdatedUID, LastUpdatedDate, Comment
                FROM       ras_Users " & SQL2 & "
                ORDER BY   UID DESC"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_人員修改()
        ConnOpen()
        SQL1 = "UPDATE  ras_Users  SET  UserName = N'" & PA1 & "', Sex = N'" & PA2 & "', Password = N'" & PA3 & "', PasswordQuestion = N'" & PA4 & "', PasswordAnswer = N'" & PA5 & "', 
                                        IsApproved = N'" & PA6 & "', IsLockedOut = N'" & PA7 & "', CreateDate = N'" & PA8 & "', LastLoginDate = N'" & PA9 & "', DeptId = N'" & PA10 & "', 
                                        AttId = N'" & PA11 & "', RuleId = N'" & PA12 & "', WeekendId = N'" & PA13 & "', LastUpdatedUID = N'" & PA14 & "', LastUpdatedDate = N'" & PA15 & "', 
                                        Comment  = N'" & PA16 & "', PIN  = N'" & PA17 & "'
                WHERE DIN LIKE N'" & PA & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人員新增()
        ConnOpen()
        SQL1 = "INSERT INTO ras_Users (UID, DIN, PIN, UserName, Sex, Password, PasswordQuestion, PasswordAnswer, IsApproved, IsLockedOut, 
                                       CreateDate, LastLoginDate, DeptId, AttId, RuleId, WeekendId, LastUpdatedUID, LastUpdatedDate, Comment) 
                VALUES (N'" & PA18 & "', N'" & PA & "', N'" & PA17 & "', N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "', N'" & PA4 & "', N'" & PA5 & "', N'" & PA6 & "', 
                        N'" & PA7 & "', N'" & PA8 & "', N'" & PA9 & "', N'" & PA10 & "', N'" & PA11 & "', N'" & PA12 & "', N'" & PA13 & "', N'" & PA14 & "', N'" & PA15 & "', 
                        N'" & PA16 & "')"
        CmdSet_For_dr()
        ConnOpen()
        SQL1 = "INSERT INTO ras_UserEx (UID, Email, Title, RegisterDate, IDNumber, HomeAddress, PhoneNumber, AttType, AccessControl, ValidityPeriod, UseUserGroupACTZ, 
                                        UseUserGroupVM, Department, AccessTimeZone, ValidDate, InvalidDate, UserGroup)
                VALUES (N'" & PA18 & "', N'', N'', N'" & PA8 & "', N'', N'', N'', N'0', N'0', N'0', N'0', N'0', N'0', N'0', 
                        N'2010-01-01 00:00:00.000', N'2099-12-31 23:59:59.000', N'0')"
        CmdSet_For_dr()
        ConnOpen()
        SQL1 = "INSERT INTO ras_Enroll (DIN, BackupNumber, Privilege, Password, Fingerprint, Enable, AccessTimeZone, ValidDate, InvalidDate, 
                                        UnlockGroup)
                VALUES (N'" & PA & "', N'10', N'1', N'" & PA17 & PA17 & "', N'', N'1', N'0', N'2000-01-01 00:00:00.000', N'2099-12-31 00:00:00.000', N'0')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人員資料確認()
        ConnOpen()
        SQL1 = "SELECT     UID, DIN, PIN, UserName, Sex, Password, PasswordQuestion, PasswordAnswer, IsApproved, IsLockedOut, 
                           CreateDate, LastLoginDate, DeptId, AttId, RuleId, WeekendId, LastUpdatedUID, LastUpdatedDate, Comment
                FROM       ras_Users
                WHERE      UID like N'" & PA18 & "'
                ORDER BY   UID DESC"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_核准修改()
        ConnOpen()
        SQL1 = "UPDATE  人事請假單  SET   核准人= N'" & gUserName & "',核准日期= N'" & DTP & "',是否生效= N'" & PA & "'
                Where 日期 Like N'" & 休假核准.請假日期_tb.Text & "' AND 員工編號 = " & 休假核准.員工編號_tb.Text & ""
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_核准修改_班表變動()
        ConnOpen()
        SQL1 = "UPDATE   排班資料表  SET " & SQL2 & " WHERE 姓名 LIKE N'" & 休假核准.申請人_tb.Text & "' AND 日期 LIKE N'" & 休假核准.請假日期_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_請假申請讀取()
        ConnOpen()
        SQL1 = "SELECT 員工編號 FROM 人事請假單 WHERE 日期 LIKE N'" & 休假申請.特假日期_tb.Text & "' AND 員工編號 = " & 休假申請.員工編號_tb.Text & ""
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_請假申請修改()
        ConnOpen()
        SQL1 = "UPDATE  人事請假單  SET   請假類別= N'" & 休假申請.請假類別_cb.Text & "',事由= N'" & 休假申請.事由_tb.Text & "', 
                        圖片資料庫 = N'" & 休假申請.資料指定圖庫_tb.Text & "', 圖片編號 = N'" & 休假申請.圖片流水號_tb.Text & "', 
                        申請時數 = N'" & 休假申請.請休假時數_cb.Text & "'
                Where   日期 Like N'" & 休假申請.特假日期_tb.Text & "' AND 員工編號 = " & 休假申請.員工編號_tb.Text & ""
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_請假申請新增()
        ConnOpen()
        SQL1 = "INSERT INTO 人事請假單  ( 員工編號, 日期, 請假類別,事由,是否生效, 圖片資料庫, 圖片編號, 申請時數, 申請時間)
                VALUES (N'" & 休假申請.員工編號_tb.Text & "',N'" & 休假申請.特假日期_tb.Text & "',
                        N'" & 休假申請.請假類別_cb.Text & "' , N'" & 休假申請.事由_tb.Text & "','申請中', 
                        N'" & 休假申請.資料指定圖庫_tb.Text & "', N'" & 休假申請.圖片流水號_tb.Text & "', 
                        N'" & 休假申請.請休假時數_cb.Text & "', N'" & Strings.Format(Today(), "yyyy/MM/dd") & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_申請刪除()
        ConnOpen()
        SQL1 = "DELETE FROM  人事請假單  WHERE 日期 LIKE N'" & 休假申請.特假日期_tb.Text & "' AND 員工編號 = " & 休假申請.員工編號_tb.Text & ""
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_申請新增1()
        ConnOpen()
        SQL1 = "INSERT INTO 人事請假單  (員工編號, 日期, 請假類別,事由,是否生效)
                VALUES (N'" & 到離職管理.員工編號_tb.Text & "',N'" & 到離職管理.特假日期_tb.Text & "',
                 N'" & 到離職管理.請假類別_cb.Text & "' , N'" & 到離職管理.事由_tb.Text & "','申請中')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_申請刪除1()
        ConnOpen() : SQL1 = "DELETE FROM  人事請假單  WHERE 日期 LIKE N'" & 到離職管理.特假日期_tb.Text & "' AND 員工編號 = " & 到離職管理.員工編號_tb.Text & "" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_時段設定()
        ConnOpen()
        SQL1 = "SELECT   ID, 時段, 時段1, 時段2, 時段3, 時段4, 時段5, 時段6, 時段7, 時段8, 上午上班, 下午上班, 加班上班, 一段休息, 二段休息  FROM  時段設定  ORDER BY ID"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業務控制()
        ConnOpen_ERP()
        SQL1 = "SELECT  流水號, 日期, 醫師, 病歷號, 銷售人員, 銷售指定 AS 指定日期, 銷售成功, 備註 FROM  業務銷售控制表 " & SQL2 & "  ORDER BY 日期 DESC, 醫師"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業務明細()
        ConnOpen_ERP()
        SQL1 = "SELECT  適應症號 AS 建議治療, 症狀, 備註  FROM  業務銷售明細表  WHERE  (流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "') 
                GROUP BY 症狀, 適應症號, 備註 ORDER BY 症狀, 適應症號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_保養品明細()
        ConnOpen_ERP()
        SQL1 = "SELECT  產品 AS 建議產品, 品牌, 備註  FROM  業務銷售產品表  WHERE  (流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "') 
                GROUP BY 品牌, 產品, 備註 ORDER BY 品牌, 產品"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_業務控制指定銷售()
        ConnOpen_ERP()
        SQL1 = "SELECT  銷售人員 FROM  業務銷售控制表 WHERE 流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "'"
        CmdSet_For_dr()
        If dr.Read Then
            If dr("銷售人員").ToString = "" Then
                ConnOpen_ERP()
                SQL1 = "UPDATE  業務銷售控制表 SET 銷售人員 = N'" & 業務銷售控制表.銷售人員_tb.Text & "', 銷售指定 = N'" & Strings.Format(Today(), "yyyy/MM/dd") & "' 
                        WHERE 流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "'"
                CmdSet_For_dr()
            Else
                MsgBox("已有指定的銷售人員，如要修改請洽主管!!")
            End If
        End If
    End Sub
    Friend Sub SQL_業務控制指定銷售完成()
        ConnOpen_ERP()
        SQL1 = "SELECT  銷售人員 FROM  業務銷售控制表 WHERE 流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "'"
        CmdSet_For_dr()
        If dr.Read Then
            If dr("銷售人員").ToString = "" Then
                ConnOpen_ERP()
                SQL1 = "UPDATE  業務銷售控制表 SET 銷售人員 = N'" & 業務銷售控制表.銷售人員_tb.Text & "', 銷售指定 = N'" & Strings.Format(Today(), "yyyy/MM/dd") & "' 
                        WHERE 流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "'"
                CmdSet_For_dr()
            End If
            ConnOpen_ERP()
            SQL1 = "UPDATE  業務銷售控制表 SET 銷售狀態 = N'" & PA1 & "', 銷售成功 = N'" & PA2 & "' WHERE 流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "'"
            CmdSet_For_dr()
        End If
    End Sub
    Friend Sub SQL_業務控制備註存檔()
        ConnOpen_ERP()
        SQL1 = "UPDATE  業務銷售控制表 SET 備註 = N'" & 業務銷售控制表.備註_tb.Text & "' WHERE 流水號 LIKE N'" & 業務銷售控制表.流水號_bt.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症主清單1()
        ConnOpen_ERP() : SQL1 = "SELECT  適應症  FROM  適應症 GROUP BY 適應症  ORDER BY   適應症" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症主清單2()
        ConnOpen_ERP() : SQL1 = "SELECT  治療建議  FROM  適應症  WHERE 適應症 LIKE N'" & 適應症選擇.病症_cb.Text & "'  ORDER BY   治療建議" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症設定()
        ConnOpen_ERP() : SQL1 = "SELECT  流水號, 適應症, 治療建議, 治療建議 AS 備註  FROM  適應症  ORDER BY   適應症, 治療建議" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_保養品設定()
        ConnOpen_ERP() : SQL1 = "SELECT  流水號, 品牌, 產品, 產品 AS 備註  FROM  適應產品  ORDER BY   品牌, 產品" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_保養品主清單1()
        ConnOpen_ERP() : SQL1 = "SELECT  品牌  FROM  適應產品 GROUP BY 品牌  ORDER BY   品牌" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_保養品主清單2()
        ConnOpen_ERP() : SQL1 = "SELECT  產品  FROM  適應產品  WHERE 品牌 LIKE N'" & 適應症選擇.品牌_cb.Text & "'  ORDER BY   產品" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_查詢最後一筆適應症()
        ConnOpen_ERP() : SQL1 = "SELECT TOP(1) 編號 FROM 業務對應適應症 ORDER BY 編號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症流水()
        ConnOpen_ERP() : SQL1 = "SELECT 流水號 FROM 適應症 WHERE 適應症 LIKE N'" & 適應症選擇.病症_cb.Text & "' AND  治療建議 LIKE N'" & 適應症選擇.療程_cb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_保養品流水()
        ConnOpen_ERP() : SQL1 = "SELECT 流水號 FROM 適應產品 WHERE 品牌 LIKE N'" & 適應症選擇.品牌_cb.Text & "' AND  產品 LIKE N'" & 適應症選擇.保養品_cb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症刪除1()
        ConnOpen_ERP() : SQL1 = "DELETE 適應症 WHERE 適應症 LIKE N'" & 適應症選擇.病症_cb.Text & "' AND  治療建議 LIKE N'" & 適應症選擇.療程_cb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症刪除2()
        ConnOpen_ERP() : SQL1 = "DELETE 適應產品 WHERE 品牌 LIKE N'" & 適應症選擇.品牌_cb.Text & "' AND  產品 LIKE N'" & 適應症選擇.保養品_cb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症流水1()
        ConnOpen_ERP() : SQL1 = "SELECT TOP(1) 流水號 FROM 適應症 ORDER BY 流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_保養品流水1()
        ConnOpen_ERP() : SQL1 = "SELECT TOP(1) 流水號 FROM 適應產品 ORDER BY 流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_適應症新增1()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO  適應症 (流水號, 適應症, 治療建議)  VALUES (N'" & PA & "', N'" & 適應症選擇.病症_cb.Text & "',N'" & 適應症選擇.療程_cb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_保養品新增1()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO  適應產品 (流水號, 品牌, 產品)  VALUES (N'" & PA & "', N'" & 適應症選擇.品牌_cb.Text & "',N'" & 適應症選擇.保養品_cb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_時段新增()
        ConnOpen() : SQL1 = "INSERT INTO  時段設定 (ID, 時段, 時段1, 時段2, 時段3, 時段4, 時段5, 時段6, 時段7, 時段8,
                                                     上午上班, 下午上班, 加班上班, 一段休息,  二段休息)
                                         VALUES (N'" & 系統設定.ID_tb.Text & "',N'" & 系統設定.時段_tb.Text & "',N'" & 系統設定.時段1_tb.Text & "',
                                              N'" & 系統設定.時段2_tb.Text & "',N'" & 系統設定.時段3_tb.Text & "',N'" & 系統設定.時段4_tb.Text & "',
                                              N'" & 系統設定.時段5_tb.Text & "',N'" & 系統設定.時段6_tb.Text & "',N'" & 系統設定.時段7_tb.Text & "',
                                              N'" & 系統設定.時段8_tb.Text & "',N'" & 系統設定.上午上班_tb.Text & "',N'" & 系統設定.下午上班_tb.Text & "',
                                              N'" & 系統設定.加班上班_tb.Text & "', N'" & 系統設定.一段休息_tb.Text & "',N'" & 系統設定.二段休息_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_時段修改()
        ConnOpen()
        SQL1 = "UPDATE  時段設定   SET   ID = N'" & PA & "', 時段1 = N'" & PA2 & "' ,  時段2 = N'" & PA3 & "' , 時段3 = N'" & PA4 & "', 時段4 = N'" & PA5 & "',
                                         時段5 = N'" & PA6 & "', 時段6 = N'" & PA7 & "' , 時段7 =  N'" & PA8 & "',時段8 = N'" & PA9 & "',
                                         上午上班 = N'" & PA10 & "',下午上班 = N'" & PA11 & "',加班上班 = N'" & PA12 & "',一段休息 = N'" & PA13 & "',二段休息 = N'" & PA14 & "'
                WHERE 時段 LIKE N'" & 系統設定.時段_tb.Text & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_時段刪除()
        ConnOpen() : SQL1 = "DELETE FROM  時段設定  WHERE 時段 LIKE N'" & 系統設定.時段_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_工作職務()
        ConnOpen() : SQL1 = "SELECT  職務 FROM  工作職務 ORDER BY 職務" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_工作新增()
        ConnOpen() : SQL1 = "INSERT INTO 工作職務 (職務) VALUES (N'" & PA & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_工作修改()
        ConnOpen() : SQL1 = "UPDATE 工作職務 SET 職務 = N'" & PA & "' WHERE 職務 LIKE N'" & 系統設定.職務_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_工作刪除()
        ConnOpen() : SQL1 = "DELETE FROM 工作職務   WHERE 職務 LIKE N'" & 系統設定.職務_tb.Text & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_年份清單()
        ConnOpen() : SQL1 = "SELECT  年份 FROM 年份清單 ORDER BY 年份 DESC" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_年份清單查詢()
        ConnOpen() : SQL1 = "SELECT 年份 FROM 年份清單 WHERE 年份 LIKE N'" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_年份清單新增()
        SQL1 = "INSERT INTO 年份清單 (年份) VALUES (N'" & PA & "')"
    End Sub
    Friend Sub SQL_年份清單修改()
        SQL1 = "UPDATE 年份清單 SET 年份 = N'" & PA & "' WHERE 年份 LIKE N'" & PA1 & "'"
    End Sub
    Friend Sub SQL_年份清單刪除()
        SQL1 = "DELETE FROM 年份清單 WHERE (年份 = N'" & PA & "')"
    End Sub
    Friend Sub SQL_系統版本號驗證()
        ConnOpen() : SQL1 = "SELECT 系統認證版本號 FROM 版本號管理 " : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_FTP資料夾路徑分配()
        ConnOpen() : SQL1 = "SELECT 資料夾名稱, 指定頁面, 備註, 指定 FROM FTP資料夾管理" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_門診資料()
        ConnOpen() : SQL1 = "SELECT 日期, 星期, 診別, 早, 中, 晚 FROM 門診資料 ORDER BY 日期 DESC , 診別" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_門診資料_讀取()
        ConnOpen() : SQL1 = "SELECT 日期 FROM 門診資料 WHERE 日期 LIKE N'" & PA5 & "' AND 診別 LIKE N'" & PA4 & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_新增門診()
        ConnOpen()
        SQL1 = "INSERT INTO 門診資料 (日期, 星期, 診別, 早, 中, 晚) VALUES (N'" & PA5 & "', N'" & PA3 & "', N'" & PA4 & "', N'" & PA & "', N'" & PA1 & "', N'" & PA2 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_刪除門診()
        ConnOpen() : SQL1 = "DELETE 門診資料 WHERE 日期 LIKE N'" & PA5 & "' AND 診別 LIKE N'" & PA4 & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_門診修改()
        ConnOpen()
        SQL1 = "UPDATE 門診資料 SET 星期 = N'" & PA3 & "', 早 = N'" & PA & "', 中 = N'" & PA1 & "', 晚 = N'" & PA2 & "' WHERE 日期 LIKE N'" & PA5 & "' AND 診別 LIKE N'" & PA4 & "'"
        CmdSet_For_dr()
    End Sub
    '---------------------系統執行檔版本管理-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_版本號管理修改()
        ConnOpen()
        SQL1 = "UPDATE 版本號管理 SET 系統認證版本號 = N'" & 系統設定.版本號_tb.Text & "' WHERE (系統認證版本號 = N'" & Strings.Right(系統設定.資料庫版本號_lb.Text, 10) & "')"
        CmdSet_For_dr()
    End Sub
    '---------------------系統使用者權限管理-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_系統使用者密碼顯示()
        ConnOpen()
        SQL1 = "SELECT      ras_Enroll.Password
                FROM        ras_Enroll INNER JOIN ras_Users ON ras_Enroll.DIN = ras_Users.DIN LEFT OUTER JOIN
                            使用者權限管理表 ON ras_Users.DIN = 使用者權限管理表.DIN
                WHERE      (ras_Enroll.BackupNumber = 10) AND (ras_Users.UserName LIKE N'" & 系統使用者管理.姓名_tb.Text & "')
                ORDER BY    ras_Users.UserName"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統使用者管理清單()
        ConnOpen()
        SQL1 = "SELECT      ras_Users.DIN AS DIN_O, ras_Users.UserName, ras_Enroll.Password, 使用者權限管理表.DIN " & 登入權限 & "
                FROM        ras_Enroll INNER JOIN
                            ras_Users ON ras_Enroll.DIN = ras_Users.DIN LEFT OUTER JOIN
                            使用者權限管理表 ON ras_Users.DIN = 使用者權限管理表.DIN
                WHERE      (ras_Enroll.BackupNumber = 10) AND (ras_Users.IsLockedOut = 0)
                ORDER BY    ras_Users.UserName"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_系統使用者權限新增()
        ConnOpen()
        SQL1 = "INSERT INTO 使用者權限管理表 (DIN, CC01, CC02, CC03, CC04, CC05, CC06, CC07, CC08, CC09, CC10, CC11, CC12, CC13, CC14, CC15, CC16, CC17, CC18, CC19, CC20, CC21, CC22, CC23, 
                                              CC24, CC25, CC26, CC27, CC28, CC29) " &
               "VALUES ('" & 系統使用者管理.編號_tb.Text & "', N'" & 系統使用者管理.CheckBox1.Checked & "', N'" & 系統使用者管理.CheckBox2.Checked & "', N'" & 系統使用者管理.CheckBox3.Checked &
               "', N'" & 系統使用者管理.CheckBox4.Checked & "', N'" & 系統使用者管理.CheckBox5.Checked & "', N'" & 系統使用者管理.CheckBox6.Checked & "', N'" & 系統使用者管理.CheckBox7.Checked &
               "', N'" & 系統使用者管理.CheckBox8.Checked & "', N'" & 系統使用者管理.CheckBox9.Checked & "', N'" & 系統使用者管理.CheckBox10.Checked & "', N'" & 系統使用者管理.CheckBox11.Checked &
               "', N'" & 系統使用者管理.CheckBox12.Checked & "', N'" & 系統使用者管理.CheckBox13.Checked & "', N'" & 系統使用者管理.CheckBox14.Checked & "', N'" & 系統使用者管理.CheckBox15.Checked &
               "', N'" & 系統使用者管理.CheckBox16.Checked & "', N'" & 系統使用者管理.CheckBox17.Checked & "', N'" & 系統使用者管理.CheckBox18.Checked & "', N'" & 系統使用者管理.CheckBox19.Checked &
               "', N'" & 系統使用者管理.CheckBox20.Checked & "', N'" & 系統使用者管理.CheckBox21.Checked & "', N'" & 系統使用者管理.CheckBox22.Checked & "', N'" & 系統使用者管理.CheckBox23.Checked &
               "', N'" & 系統使用者管理.CheckBox24.Checked & "', N'" & 系統使用者管理.CheckBox25.Checked & "', N'" & 系統使用者管理.CheckBox26.Checked & "', N'" & 系統使用者管理.CheckBox27.Checked &
               "', N'" & 系統使用者管理.CheckBox28.Checked & "', N'" & 系統使用者管理.CheckBox29.Checked & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統使用者權限修改()
        ConnOpen()
        SQL1 = "UPDATE 使用者權限管理表 SET  CC01 = N'" & 系統使用者管理.CheckBox1.Checked & "', CC02 = N'" & 系統使用者管理.CheckBox2.Checked & "', CC03 = N'" & 系統使用者管理.CheckBox3.Checked &
                                         "', CC04 = N'" & 系統使用者管理.CheckBox4.Checked & "', CC05 = N'" & 系統使用者管理.CheckBox5.Checked & "', CC06 = N'" & 系統使用者管理.CheckBox6.Checked &
                                         "', CC07 = N'" & 系統使用者管理.CheckBox7.Checked & "', CC08 = N'" & 系統使用者管理.CheckBox8.Checked & "', CC09 = N'" & 系統使用者管理.CheckBox9.Checked &
                                         "', CC10 = N'" & 系統使用者管理.CheckBox10.Checked & "', CC11 = N'" & 系統使用者管理.CheckBox11.Checked & "', CC12 = N'" & 系統使用者管理.CheckBox12.Checked &
                                         "', CC13 = N'" & 系統使用者管理.CheckBox13.Checked & "', CC14 = N'" & 系統使用者管理.CheckBox14.Checked & "', CC15 = N'" & 系統使用者管理.CheckBox15.Checked &
                                         "', CC16 = N'" & 系統使用者管理.CheckBox16.Checked & "', CC17 = N'" & 系統使用者管理.CheckBox17.Checked & "', CC18 = N'" & 系統使用者管理.CheckBox18.Checked &
                                         "', CC19 = N'" & 系統使用者管理.CheckBox19.Checked & "', CC20 = N'" & 系統使用者管理.CheckBox20.Checked & "', CC21 = N'" & 系統使用者管理.CheckBox21.Checked &
                                         "', CC22 = N'" & 系統使用者管理.CheckBox22.Checked & "', CC23 = N'" & 系統使用者管理.CheckBox23.Checked & "', CC24 = N'" & 系統使用者管理.CheckBox24.Checked &
                                         "', CC25 = N'" & 系統使用者管理.CheckBox25.Checked & "', CC26 = N'" & 系統使用者管理.CheckBox26.Checked & "', CC27 = N'" & 系統使用者管理.CheckBox27.Checked &
                                         "', CC28 = N'" & 系統使用者管理.CheckBox28.Checked & "', CC29 = N'" & 系統使用者管理.CheckBox29.Checked & "' WHERE (DIN = N'" & 系統使用者管理.編號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_系統使用者修改()
        ConnOpen()
        SQL1 = "UPDATE  使用者權限管理表 SET  CC18 = N'" & PA1 & "', 月薪 = N'" & PA2 & "', 時薪 = N'" & PA3 & "', 主管加級 = N'" & PA4 & "', 職務加級 = N'" & PA5 & "', 
                        勞保費 = N'" & PA6 & "', 健保費 = N'" & PA7 & "', 到職日 = N'" & PA8 & "' 
                WHERE  (DIN = N'" & PA & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_薪資表流水號()
        ConnOpen_ERP() : SQL1 = "SELECT TOP(1) 流水號 FROM 員工薪資表 ORDER BY 流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_薪資表確認()
        ConnOpen_ERP() : SQL1 = "SELECT 流水號 FROM 員工薪資表 WHERE 日期 LIKE N'" & PA1 & "' AND 姓名 LIKE N'" & PA3 & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_薪資表修改()
        ConnOpen_ERP()
        SQL1 = "UPDATE 員工薪資表 SET 日期 = N'" & PA1 & "', 到職日 = N'" & PA2 & "', 姓名 = N'" & PA3 & "', 當月天數 = N'" & PA4 & "', 實上基數 = N'" & PA5 & "', 
                       實上工時 = N'" & PA6 & "', 薪資 = N'" & PA7 & "', 轉時薪 = N'" & PA8 & "', 全勤 = N'" & PA9 & "', 主管加給 = N'" & PA10 & "', 執照 = N'" & PA11 & "', 
                       特休未修 = N'" & PA12 & "', 特修補錢 = N'" & PA13 & "', 時薪特休 = N'" & PA14 & "', 婚假 = N'" & PA15 & "', 喪假 = N'" & PA16 & "', 其他說明 = N'" & PA17 & "', 
                       其他 = N'" & PA18 & "', 未到離職 = N'" & PA19 & "', 月薪 = N'" & PA20 & "', 時薪 = N'" & PA21 & "', 本薪 = N'" & PA22 & "', 一段加班 = N'" & PA23 & "', 
                       二段加班 = N'" & PA24 & "', 國定假日1 = N'" & PA25 & "', 超時或不足 = N'" & PA26 & "', 加項小計 = N'" & PA27 & "', 一段加班2 = N'" & PA28 & "', 
                       二段加班2 = N'" & PA29 & "', 國定假日2 = N'" & PA30 & "', 超時或不足2 = N'" & PA31 & "', 加項小計2 = N'" & PA32 & "', 勞保費 = N'" & PA33 & "', 
                       健保費 = N'" & PA34 & "', 事假 = N'" & PA35 & "', 病假 = N'" & PA36 & "', 其他說明減 = N'" & PA37 & "', 其他減 = N'" & PA38 & "', 減項小計1 = N'" & PA39 & "', 
                       減項小計2 = N'" & PA40 & "', 實付小計1 = N'" & PA41 & "', 實付小計2 = N'" & PA42 & "' WHERE 流水號 LIKE N'" & PA & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_薪資表新增()
        ConnOpen_ERP()
        SQL1 = "INSERT INTO 員工薪資表 (流水號, 日期, 到職日, 姓名, 當月天數, 實上基數, 實上工時, 薪資, 轉時薪, 全勤, 主管加給, 
                                        執照, 特休未修, 特修補錢, 時薪特休, 婚假, 喪假, 其他說明, 其他, 未到離職, 月薪, 時薪, 本薪, 一段加班, 
                                        二段加班, 國定假日1, 超時或不足, 加項小計, 一段加班2, 二段加班2, 國定假日2, 超時或不足2, 加項小計2, 
                                        勞保費, 健保費, 事假, 病假, 其他說明減, 其他減, 減項小計1, 減項小計2, 實付小計1, 實付小計2)
                 VALUES (N'" & PA & "', N'" & PA1 & "', N'" & PA2 & "', N'" & PA3 & "', N'" & PA4 & "', N'" & PA5 & "', N'" & PA6 & "', N'" & PA7 & "', N'" & PA8 & "', 
                         N'" & PA9 & "', N'" & PA10 & "', N'" & PA11 & "', N'" & PA12 & "', N'" & PA13 & "', N'" & PA14 & "', N'" & PA15 & "', N'" & PA16 & "', N'" & PA17 & "', 
                         N'" & PA18 & "', N'" & PA19 & "', N'" & PA20 & "', N'" & PA21 & "', N'" & PA22 & "', N'" & PA23 & "', N'" & PA24 & "', N'" & PA25 & "', N'" & PA26 & "', 
                         N'" & PA27 & "', N'" & PA28 & "', N'" & PA29 & "', N'" & PA30 & "', N'" & PA31 & "', N'" & PA32 & "', N'" & PA33 & "', N'" & PA34 & "', N'" & PA35 & "', 
                         N'" & PA36 & "', N'" & PA37 & "', N'" & PA38 & "', N'" & PA39 & "', N'" & PA40 & "', N'" & PA41 & "', N'" & PA42 & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_薪資表讀取()
        ConnOpen_ERP()
        SQL1 = "SELECT      流水號 AS 項, 日期, 到職日, 姓名, 當月天數, 實上基數, 實上工時, 薪資 AS 基本月薪, 轉時薪 AS 基本時薪, 全勤, 主管加給 AS 主管加級, 
                            執照 AS 職務加級, 特休未修, 特修補錢 AS 特休補錢, 時薪特休, 婚假, 喪假, 其他說明, 其他, 未到離職, 月薪, 時薪, 本薪, 
                            一段加班 AS 一段加班1, 二段加班 AS 二段加班1, 國定假日1, 超時或不足 AS 加班費1, 加項小計 AS 應付小計1, 
                            一段加班2, 二段加班2, 國定假日2, 超時或不足2 AS 加班費2, 加項小計2 AS 應付小計2, 勞保費, 健保費, 事假, 病假, 
                            其他說明減, 其他減, 減項小計1, 減項小計2, 實付小計1, 實付小計2
                FROM        員工薪資表 WHERE 日期 LIKE N'" & PA1 & "' ORDER BY 流水號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_薪資表讀取_合計()
        ConnOpen_ERP()
        SQL1 = "SELECT TOP(1) 流水號 AS 項, 日期, 到職日, 姓名, 當月天數, 實上基數, 實上工時, 薪資 AS 基本月薪, 轉時薪 AS 基本時薪, 全勤, 主管加給 AS 主管加級, 
                            執照 AS 職務加級, 特休未修, 特修補錢 AS 特休補錢, 時薪特休, 婚假, 喪假, 其他說明, 其他, 未到離職, 月薪, 時薪, 本薪, 
                            一段加班 AS 一段加班1, 二段加班 AS 二段加班1, 國定假日1, 超時或不足 AS 加班費1, 加項小計 AS 應付小計1, 
                            一段加班2, 二段加班2, 國定假日2, 超時或不足2 AS 加班費2, 加項小計2 AS 應付小計2, 勞保費, 健保費, 事假, 病假, 
                            其他說明減, 其他減, 減項小計1, 減項小計2, 實付小計1, 實付小計2
                FROM        員工薪資表 WHERE 日期 LIKE N'" & PA1 & "' ORDER BY 流水號"
        CmdSet_For_DGV()
    End Sub
End Module
